Skip to main content
GET
Get job status
The response will contain one of the following statuses: We recommend the following when polling:
  • Use a reasonable polling interval (2-5 seconds)
  • Avoid polling more frequently than once per second

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Path Parameters

jobId
string<uuid>
required

The job ID returned from an asynchronous operation such as Refresh schema

Response

Job status retrieved successfully. A FAILED job also returns error_message when a failure message was recorded and the caller may see connection details.

error_message
string

Why the job failed. Present only when status is FAILED and a failure message was recorded. Visible to Organization API keys and user-scoped keys whose user is a Connection Admin; absent otherwise.

Example:

"Unable to connect to the database"

job_type
string

The type of job

Example:

"refresh_schema"

job_id
string<uuid>

The unique identifier of the job

status
enum<string>

Current status of the job

Available options:
RUNNING,
COMPLETED,
FAILED